#include <QApplication>
#include <QWidget>
#include <QHBoxLayout>
#include <QTableView>

#include "VueListe.h"
#include "ModeleTable.h"
#include "ModeleListe.h"

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	
	QWidget *widget = new QWidget();
		widget->setMaximumHeight(195);
		widget->setMinimumWidth(545);
	
		QHBoxLayout *layout = new QHBoxLayout(widget);
			
			VueListe *vueListe = new VueListe(widget);
				ModeleListe *modeleListe = new ModeleListe(vueListe);
				vueListe->setModel(modeleListe);
				vueListe->setMaximumWidth(100);
			
			QTableView *vueTable = new QTableView(widget);
				ModeleTable *modeleTable = new ModeleTable(vueTable);
				vueTable->setModel(modeleTable);
				vueTable->setAcceptDrops(true);
	
	layout->addWidget(vueListe);
	layout->addWidget(vueTable);
	
	widget->show();
	
	return app.exec();
}
